Subject: Re: [PATCH] negotiator/skipping: parse commit before queueing

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 28 Sep 2018 01:29:51 +0200

On Thu, Sep 27 2018, Jonathan Tan wrote:

> The skipping negotiator pushes entries onto the priority queue without
> ensuring that the commit is parsed, resulting in the entry ending up in
> the wrong position due to a lack of commit time. Fix this by parsing the
> commit whenever we push an entry onto the priority queue.
>
> Signed-off-by: Jonathan Tan <[email-masked]>
> ---

Thanks for the prompt fix!

> This was noticed by Aevar in [1]. With this fix, 163 "have" lines are
> produced instead of the 14002 reported in [1].
>
> I have included a test to demonstrate the issue, but I'm not sure if
> it's worth including it in the source tree.

The test fails before the patch, and passes after, and tests that we do
the right thing here. Seems best to include such tests whenever we can.